mapstools.googleapis.com API.

- [REST Resource: v1alpha](https://developers.google.com/maps/ai/maps-experience-agent-tools/reference/rest.md.txt#v1alpha)
- [REST Resource: v1](https://developers.google.com/maps/ai/maps-experience-agent-tools/reference/rest.md.txt#v1)

## Service: mapstools.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis.md.txt) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://mapstools.googleapis.com/$discovery/rest?version=v1>
- <https://mapstools.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mapstools.googleapis.com`

## REST Resource: v1alpha

| Methods ||
|---|---|
| `computeRoutes` | `POST /v1alpha:computeRoutes` Returns the primary route between requested origin and destination for the requested travel mode. |
| `lookupWeather` | `POST /v1alpha:lookupWeather` Search for weather conditions at a location. |
| `resolveMapsUrls` | `POST /v1alpha:resolveMapsUrls` Resolves a list of Google Maps URLs to specific geospatial entities (e.g., places) on Google Maps. |
| `resolveNames` | `POST /v1alpha:resolveNames` Resolves a list of place names (or addresses) to specific geospatial entities (e.g., places) on Google Maps. |
| `searchAlongRoute` | `POST /v1alpha:searchAlongRoute` Search for places along a travel route. |
| `searchText` | `POST /v1alpha:searchText` Search for places with a text query. |

## REST Resource: v1

| Methods ||
|---|---|
| `computeRoutes` | `POST /v1:computeRoutes` Returns the primary route between requested origin and destination for the requested travel mode. |
| `lookupWeather` | `POST /v1:lookupWeather` Search for weather conditions at a location. |
| `resolveMapsUrls` | `POST /v1:resolveMapsUrls` Resolves a list of Google Maps URLs to specific geospatial entities (e.g., places) on Google Maps. |
| `resolveNames` | `POST /v1:resolveNames` Resolves a list of place names (or addresses) to specific geospatial entities (e.g., places) on Google Maps. |
| `searchAlongRoute` | `POST /v1:searchAlongRoute` Search for places along a travel route. |
| `searchText` | `POST /v1:searchText` Search for places with a text query. |